Skip to content

Start async archive preparation

POST
/api/v1/content/archive/prepare
ArchivePrepareRequest
object
domain
Domain
string
default: storage
execution_id
required
Execution Id
string
stage
Any of:
string
path
Any of:
string
extension
Any of:
string

Successful Response

ArchivePrepareResponse
object
job_id
required
Job Id
string
total
required
Total
integer
filename
required
Filename
string

Bad request

ErrorResponse

Standard error response matching FastAPI HTTPException format.

This model is used in OpenAPI response declarations for 4xx/5xx errors. The detail field matches FastAPI’s HTTPException structure.

object
detail
required
Detail

Error message (matches FastAPI HTTPException)

string
error_code
Any of:
string
correlation_id
Any of:
string
timestamp
Timestamp

Error timestamp

string format: date-time

Resource not found

ErrorResponse

Standard error response matching FastAPI HTTPException format.

This model is used in OpenAPI response declarations for 4xx/5xx errors. The detail field matches FastAPI’s HTTPException structure.

object
detail
required
Detail

Error message (matches FastAPI HTTPException)

string
error_code
Any of:
string
correlation_id
Any of:
string
timestamp
Timestamp

Error timestamp

string format: date-time

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object